Page MenuHomePhabricator

Integrate a feedback page link in Recent Changes Beta filters
Closed, ResolvedPublic

Description

It's very important that we get feedback from users of the new RC Page beta filters. To that end, we will install a feedback link in the dropdown panel. See design below.

Feeedback link page https://www.mediawiki.org/wiki/Help_talk:New_filters_for_edit_review

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedCatrope
ResolvedSBisson
ResolvedHalfak
ResolvedSBisson
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedCatrope

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 17 2016, 3:14 PM
Trizek-WMF added a comment.EditedNov 17 2016, 6:44 PM

Ping @jmatazzoni as we have discussed about these pages during today's retro.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 5 2017, 7:04 PM

@Pginer-WMF, I do think we should have a way to harvest user feedback to the beta. I'm not sure how this is usually done -- just a link to a Talk page? Can you please provide a design? Thanks!

All beta features in the beta feature page have a "discussion" link by default. This is the default way for users to provide feedback.

An in-place access to provide feedback from the tool itself can be very convenient, and I think it makes sense to add one here. However, I'd not consider this a blocker for launching the beta feature. I think it may be even preferable to launch the beta feature with just the default channel and add a more prominent way to provide feedback based on the volume of feedback we get from the default channel.

One of the main challenges for this is to communicate what the feedback is about. In other tools such as ContentTranslation a simple "Provide feedback" link (with a speaker icon) worked well. However, for the Media viewer a similar approach lead some users to provide feedback about the images they were viewing and not the tool.

With these considerations, I think we can have an explicit "Provide feedback on the new filters" right after the filter area and aligned to the right in order to avoid getting in the way of the regular operations:

At the moment, the

All beta features in the beta feature page have a "discussion" link by default. This is the default way for users to provide feedback.

When WMDE has released the History slider, they didn't had much feedback until they have added a new link for direct comments.

An in-place access to provide feedback from the tool itself can be very convenient, and I think it makes sense to add one here. However, I'd not consider this a blocker for launching the beta feature. I think it may be even preferable to launch the beta feature with just the default channel and add a more prominent way to provide feedback based on the volume of feedback we get from the default channel.

And I agree.

One of the main challenges for this is to communicate what the feedback is about. In other tools such as ContentTranslation a simple "Provide feedback" link (with a speaker icon) worked well. However, for the Media viewer a similar approach lead some users to provide feedback about the images they were viewing and not the tool.

I don't think it will be the case here. RecentChanges are mostly used and known by experienced users (based on my experience on workshops for newbies, where people never noticed the link in the right sidebar).

With these considerations, I think we can have an explicit "Provide feedback on the new filters" right after the filter area and aligned to the right in order to avoid getting in the way of the regular operations:

yay!

@Pginer-WMF, Re. this design:

Would it be possible to associate the feedback link more closely with the beta features. Maybe in the Active Filter Display Area? Or even in the Dropdown Panel (maybe in the header?). I’m worried it won’t be clear enough down there what we’re asking for feedback about.

For the same reason, would it be helpful to change the wording to “Provide feedback on the new (beta) filters” ?

Would it be possible to associate the feedback link more closely with the beta features. Maybe in the Active Filter Display Area? Or even in the Dropdown Panel (maybe in the header?). I’m worried it won’t be clear enough down there what we’re asking for feedback about.

I think it makes sense to associate the feedback link more with the elements we ask feedback about. However, I'd not present feedback among the main actions. Although it is the main focus of the current ticket, overall, I think it should not compete with the filters, tags or highlight options.

Having it as a footer for the filter panel could work well. Users are provided a set of filters and the possibility to report about them as a follow-up action. Here is a mockup to illustrated the idea:

For the same reason, would it be helpful to change the wording to “Provide feedback on the new (beta) filters” ?

Makes sense. I'm ok to reinforce the idea that the new filters were those the user enabled in the beta. I recall there were some complexities in the translation of "beta", so we may want to provide some context in the translation documentation.

jmatazzoni removed Pginer-WMF as the assignee of this task.Feb 24 2017, 7:06 PM
jmatazzoni added a subscriber: Pginer-WMF.

Thanks Paul. That design works for me. Relieving you of the assignment and moving this to RFP.

Change 339793 had a related patch set uploaded (by Catrope):
RCFilters UI: Add popup footer with feedback link

https://gerrit.wikimedia.org/r/339793

Change 339793 merged by jenkins-bot:
RCFilters UI: Add popup footer with feedback link

https://gerrit.wikimedia.org/r/339793

@Catrope, please update the link as per @Trizek-WMF comment. Currently it's still https://www.mediawiki.org/wiki/Help_talk:Edit_Review_Improvements/RC_filters

@jmatazzoni and @Pginer-WMF - may be using the exact name of beta feature in the footer will provide more coherent experience for users? 'the new (beta) filters' may imply to users that the feedback is collected about something different from the actual beta feature that a user enabled.

Change 341021 had a related patch set uploaded (by sbisson):
[mediawiki/core] RC Filters: new feed back url

https://gerrit.wikimedia.org/r/341021

@jmatazzoni and @Pginer-WMF - may be using the exact name of beta feature in the footer will provide more coherent experience for users? 'the new (beta) filters' may imply to users that the feedback is collected about something different from the actual beta feature that a user enabled.

In the messaging and naming we are avoiding to create a product name ("The New Filters™") and instead refer to the improvement as we would do n a conversation (the new filters (for edit review, in the recent changes page, which are still experimental/in beta)". after the user enabled a beta feature promising some new filters or accepts an invite for doing so on the Recent Changes page, views a message introducing such filters, and opens a panel with those filters, I expect "the new filters" to be clear by the context. I'm ok to reconsider options for that label but we should be careful not making it too long for people to just ignore it.

In any case this is something worth observing and the kind of feedback we get through this will tell us in which light users are reading the invitation to participate.

Change 341021 merged by jenkins-bot:
[mediawiki/core] RC Filters: new feedback url

https://gerrit.wikimedia.org/r/341021

For maximum inclusiveness, it may help to make sure that the target is a wikitext talk page. (Unless this feature is predominantly targeted to Flow-using users.)

For maximum inclusiveness, it may help to make sure that the target is a wikitext talk page. (Unless this feature is predominantly targeted to Flow-using users.)

No. See https://www.mediawiki.org/wiki/Beta_Features/Package#Release_Requirements and consider taking the discussion to that place if you wish to continue that conversation.

Etonkovidova added a comment.EditedMar 3 2017, 6:50 PM

Thanks, @Pginer-WMF and @SBisson - all is clear now.

RTL view:

QA recommendation: Resolve.

For maximum inclusiveness, it may help to make sure that the target is a wikitext talk page. (Unless this feature is predominantly targeted to Flow-using users.)

I see James's comment saying we don't need to make a change here. But @Nemo_bis, just for my own edification, can you please explain your point? I don't understand: i know some people don't like Flow, but who is unable to use it? (If anything, on the face of it, I'd think Flow was the more inclusive choice, since I can easily imagine people who are unable to use a Wikitext talk page—new users, mobile users...). Thanks.

@Trizek-WMF, are you sure is the right page for feedback about the project? That is a Help page. This is the main project page (it also needs to be renamed, BTW). Should that be the main location for discussing the project?

@Trizek-WMF, following up on my comment above, I just noticed that we are sending people to the main project page talk page from the "Discussion" link that's part of the beta-opt in. Whichever page is the right one, these two links should probably be the same, Right?

For maximum inclusiveness, it may help to make sure that the target is a wikitext talk page. (Unless this feature is predominantly targeted to Flow-using users.)

No. See https://www.mediawiki.org/wiki/Beta_Features/Package#Release_Requirements and consider taking the discussion to that place if you wish to continue that conversation.

Of note: https://www.mediawiki.org/w/index.php?title=Beta_Features/Package&diff=933333&oldid=844438 from March 2014, by S Page and referencing Maryana, both of whom no longer work at the Wikimedia Foundation. And then https://www.mediawiki.org/w/index.php?title=Beta_Features/Package&diff=988895&oldid=933336 from April 2014, by Jared Zimmerman, who's also no longer working at the Wikimedia Foundation.

In this context, about three years and many staff members later, it's pretty reasonable to ask whether using Flow (which has now been disabled on both the English Wikipedia and Meta-Wiki) is still prudent.

it's pretty reasonable to ask whether using Flow (which has now been disabled on both the English Wikipedia and Meta-Wiki) is still prudent.

consider taking the discussion to that place if you wish to continue that conversation

it's pretty reasonable to ask whether using Flow (which has now been disabled on both the English Wikipedia and Meta-Wiki) is still prudent.

! In T150959#3071534, @Jdforrester-WMF wrote:

consider taking the discussion to that place if you wish to continue that conversation

Sure, I've gone ahead and considered it. I see that https://www.mediawiki.org/wiki/Talk:Beta_Features/Package doesn't exist and it's using Flow. Plus the subject-space page has primarily been edited by employees who are no longer working at the Wikimedia Foundation (S, Fabrice, and Jared). This task, meanwhile, seems to have active subscribers!

Nemo_bis added a comment.EditedMar 4 2017, 9:13 AM

I've fixed the documentation: https://www.mediawiki.org/w/index.php?title=Beta_Features%2FPackage&type=revision&diff=2413529&oldid=2261500

That point was written when beta features were mostly being deployed with inactive registered users in mind. This feature is clearly targeted to power users, so whatever the general rules are it's necessary to make sure that the target audience can actually use the feedback page.

@Trizek-WMF, following up on my comment above, I just noticed that we are sending people to the main project page talk page from the "Discussion" link that's part of the beta-opt in. Whichever page is the right one, these two links should probably be the same, Right?

He have two sets of pages:

  • the ones introducing the project (Edit Review Improvements/Filters for Special:Recent Changes)
  • the others that document it and are user help pages (Help:New filters for edit review)

We focus on Help pages:

  • Per T158819#3071548, Help:New filters for edit review is the target for help pages
  • Per T150959#3071519 , Talk Help:New filters for edit review is the target for feedback pages

Both are correct according to Gerrit, I don't know why we have different results on the Beta wiki.

@Trizek, sorry, it looks like I put the wrong link into my question and confused everyone. My question is this. We currently have two links that ask for user feedback to RC Filters. One link is from the Beta opt in, and the other is in the filter panel. Currently:

My question is, shouldn't these be the same? And doesn't it make more sense for "feedback" about the project to be on the project page? I don't understand why we'd want to discuss new features or bugs on the Help talk page?

@Trizek, sorry, it looks like I put the wrong link into my question and confused everyone. My question is this. We currently have two links that ask for user feedback to RC Filters. One link is from the Beta opt in, and the other is in the filter panel. Currently:

My question is, shouldn't these be the same? And doesn't it make more sense for "feedback" about the project to be on the project page? I don't understand why we'd want to discuss new features or bugs on the Help talk page?

I'm not sure to understand. You want to have two different talk pages, one to discuss about the project and the other for the feedback. That's how it has been implemented, no? You want to have both linking to https://www.mediawiki.org/wiki/Talk:Edit_Review_Improvements/Filters_for_Special:Recent_Changes instead?

Trizek-WMF removed a subscriber: Trizek.Mar 8 2017, 9:27 AM

@Trizek, sorry, it looks like I put the wrong link into my question and confused everyone. My question is this. We currently have two links that ask for user feedback to RC Filters. One link is from the Beta opt in, and the other is in the filter panel. Currently:

My question is, shouldn't these be the same? And doesn't it make more sense for "feedback" about the project to be on the project page? I don't understand why we'd want to discuss new features or bugs on the Help talk page?

I'm not sure to understand. You want to have two different talk pages, one to discuss about the project and the other for the feedback. That's how it has been implemented, no? You want to have both linking to https://www.mediawiki.org/wiki/Talk:Edit_Review_Improvements/Filters_for_Special:Recent_Changes instead?

I think that both entry points for feedback (link at the bottom of the panel and link at the beta feature page description) are intended to provide feedback about the same thing (the new filters). Thus, it is preferred those to link to a single place.

Providing two different destinations for the same kind of feedback seems just to lead to confusion and extra effort to process the feedback. Do you see any advantage with the use of separate talkpages?

Trizek-WMF removed a subscriber: Trizek.Mar 8 2017, 1:57 PM

Do you see any advantage with the use of separate talkpages?

Absolutely none. I'm confused: I recall it was @jmatazzoni's suggestion to have two pages, one for the project, the other one for the filters.

Nonono. I'm not sure how I confused everyone so badly. I'm not saying we should have two pages. I'm saying we DO have two pages and should pick one. @Trizek-WMF and I will settle this today in our 1:1.

jmatazzoni closed this task as Resolved.Mar 8 2017, 11:37 PM

OK, we have a decision. The link in the dropdown filter panel, which links to the talk page of the main project page, is right. So I'm closing this.

I've also redirected all talk pages to that main one.